RDCode: Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

# Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing a set: arguments must one of a set of values More...

`#include <SetQuery.h>`

Inheritance diagram for Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

List of all members.

## Public Types
typedef std::set < MatchFuncArgType > | CONTAINER_TYPE
## Public Member Functions
| SetQuery ()
void | insert (const MatchFuncArgType what)
| insert an entry into our `set`
void | clear ()
| clears our `set`
bool | Match (const DataFuncArgType what) const
| returns whether or not we match the argument
Query< MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const
| returns a copy of this Query
CONTAINER_TYPE::const_iterator | beginSet () const
CONTAINER_TYPE::const_iterator | endSet () const
unsigned int | size () const
## Protected Attributes
CONTAINER_TYPE | d_set

## Detailed Description

### template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing a set: arguments must one of a set of values

Definition at line 17 of file SetQuery.h.

## Member Typedef Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

typedef std::set<MatchFuncArgType> Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::CONTAINER_TYPE

Definition at line 21 of file SetQuery.h.

## Constructor & Destructor Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::SetQuery | ( |  | ) | `[inline]`

Definition at line 23 of file SetQuery.h.

## Member Function Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::insert | ( | const MatchFuncArgType | what | ) | `[inline]`

insert an entry into our `set`

Definition at line 26 of file SetQuery.h.

Referenced by Queries::SetQuery< const int, RDKit::Atom *, true >::copy(), and RDKit::RecursiveStructureQuery::copy().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

void Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::clear | ( |  | ) | `[inline]`

clears our `set`

Definition at line 32 of file SetQuery.h.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | arg | ) | const`[inline, virtual]`

returns whether or not we match the argument

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 37 of file SetQuery.h.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Query<MatchFuncArgType,DataFuncArgType,needsConversion>* Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const`[inline, virtual]`

returns a copy of this Query

Notes:

- the caller is responsible for `delete`ing the result

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Reimplemented in RDKit::RecursiveStructureQuery.

Definition at line 44 of file SetQuery.h.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

CONTAINER_TYPE::const_iterator Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::beginSet | ( |  | ) | const`[inline]`

Definition at line 59 of file SetQuery.h.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

CONTAINER_TYPE::const_iterator Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::endSet | ( |  | ) | const`[inline]`

Definition at line 62 of file SetQuery.h.

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

unsigned int Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::size | ( |  | ) | const`[inline]`

Definition at line 65 of file SetQuery.h.

## Member Data Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

CONTAINER_TYPE Queries::SetQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::d_set`[protected]`

Definition at line 67 of file SetQuery.h.

Referenced by Queries::SetQuery< const int, RDKit::Atom *, true >::beginSet(), Queries::SetQuery< const int, RDKit::Atom *, true >::clear(), Queries::SetQuery< const int, RDKit::Atom *, true >::copy(), RDKit::RecursiveStructureQuery::copy(), Queries::SetQuery< const int, RDKit::Atom *, true >::endSet(), Queries::SetQuery< const int, RDKit::Atom *, true >::insert(), Queries::SetQuery< const int, RDKit::Atom *, true >::Match(), and Queries::SetQuery< const int, RDKit::Atom *, true >::size().

The documentation for this class was generated from the following file:

- SetQuery.h